Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractTree

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDataAdaptor
                  org.richfaces.component.AbstractTree

All Implemented Interfaces:
  EventListener, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.IterationStateHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.TreeSelectionChangeSource, org.richfaces.event.TreeToggleSource

Direct Known Subclasses:
  UITree

    public abstract class AbstractTree

extends UIDataAdaptor
implements org.richfaces.component.MetaComponentResolver, org.richfaces.component.MetaComponentEncoder, org.richfaces.event.TreeSelectionChangeSource, org.richfaces.event.TreeToggleSource

The <rich:tree> component provides a hierarchical tree control. Each <rich:tree> component typically consists of <rich:treeNode> child components. The appearance and behavior of the tree and its nodes can be fully customized.

Author:
  Nick Belaevski

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor
`UIDataAdaptor.ComponentVisitor`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`
`static String` | `DEFAULT_TREE_NODE_FACET_NAME`
`static String` | `DEFAULT_TREE_NODE_ID`
`static String` | `SELECTION_META_COMPONENT_ID`

Fields inherited from class org.richfaces.component.UIDataAdaptor
`decodeVisitor, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`AbstractTree()`

Method Summary
`void` | `addTreeSelectionChangeListener(org.richfaces.event.TreeSelectionChangeListener listener)`
`void` | `addTreeToggleListener(org.richfaces.event.TreeToggleListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`DeclarativeModelKey` | `convertDeclarativeKeyFromString(javax.faces.context.FacesContext context, String modelId, String modelKeyAsString)`
`String` | `convertDeclarativeKeyToString(javax.faces.context.FacesContext context, DeclarativeModelKey declarativeKey)`
`protected org.ajax4jsf.model.DataComponentState` | `createComponentState()`
`protected org.ajax4jsf.model.ExtendedDataModel<?>` | `createExtendedDataModel()`
`org.richfaces.model.TreeDataModelTuple` | `createSnapshot()`
`protected Iterator<javax.faces.component.UIComponent>` | `dataChildren()`
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, String metaComponentId)`
`protected javax.faces.component.UIComponent` | `findDeclarativeModel(String modelId)`
`protected Iterator<javax.faces.component.UIComponent>` | `findMatchingTreeNodeComponent(String nodeType, javax.faces.component.UIComponent parentComponent)`
`AbstractTreeNode` | `findTreeNodeComponent()`
`String` | `getFamily()`
`abstract String` | `getNodeClass()`
`abstract String` | `getNodeType()`
`abstract String` | `getOnbeforenodetoggle()`
`abstract String` | `getOnbeforeselectionchange()`
`abstract String` | `getOnnodetoggle()`
`abstract String` | `getOnselectionchange()`
`javax.faces.convert.Converter` | `getRowKeyConverter()`
`Collection<Object>` | `getSelection()`
`abstract org.richfaces.component.SwitchType` | `getSelectionType()`
`abstract String` | `getToggleNodeEvent()`
`abstract org.richfaces.component.SwitchType` | `getToggleType()`
`protected org.richfaces.model.TreeDataModel<?>` | `getTreeDataModel()`
`protected TreeRange` | `getTreeRange()`
`org.richfaces.event.TreeSelectionChangeListener[]` | `getTreeSelectionChangeListeners()`
`org.richfaces.event.TreeToggleListener[]` | `getTreeToggleListeners()`
`abstract Object` | `getValue()`
`boolean` | `isExpanded()`
`abstract boolean` | `isImmediate()`
`boolean` | `isLeaf()`
`void` | `removeTreeSelectionChangeListener(org.richfaces.event.TreeSelectionChangeListener listener)`
`void` | `removeTreeToggleListener(org.richfaces.event.TreeToggleListener listener)`
`protected void` | `resetDataModel()`
`String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`protected void` | `restoreChildState(javax.faces.context.FacesContext facesContext)`
`void` | `restoreFromSnapshot(javax.faces.context.FacesContext context, org.richfaces.model.TreeDataModelTuple tuple)`
`void` | `setSelection(Collection<Object> selection)`
`protected void` | `setupCurrentComponent()`
`String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`protected boolean` | `visitFixedChildren(javax.faces.component.visit.VisitContext visitContext, javax.faces.component.visit.VisitCallback callback)`
`void` | `walk(javax.faces.context.FacesContext faces, org.ajax4jsf.model.DataVisitor visitor, Object argument)` Walk ( visit ) this component on all data-aware children for each row.
`void` | `walkModel(javax.faces.context.FacesContext context, org.richfaces.model.TreeDataVisitor dataVisitor)`

Methods inherited from class org.richfaces.component.UIDataAdaptor
`allFixedChildren, captureOrigValue, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, fixedChildren, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preEncodeBegin, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, restoreChildState, restoreOrigValue, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValueExpression, setVar, visitDataChildren, visitDataChildrenMetaComponents, visitTree, wrapEvent`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

### SELECTION_META_COMPONENT_ID

    public static final String SELECTION_META_COMPONENT_ID

See Also:
  Constant Field Values

### DEFAULT_TREE_NODE_ID

    public static final String DEFAULT_TREE_NODE_ID

See Also:
  Constant Field Values

### DEFAULT_TREE_NODE_FACET_NAME

    public static final String DEFAULT_TREE_NODE_FACET_NAME

See Also:
  Constant Field Values

Constructor Detail

### AbstractTree

    public AbstractTree()

Method Detail

### getTreeRange

    protected TreeRange getTreeRange()

### getValue

    public abstract Object getValue()

### isImmediate

    public abstract boolean isImmediate()

### getNodeClass

    public abstract String getNodeClass()

### getOnnodetoggle

    public abstract String getOnnodetoggle()

### getOnbeforenodetoggle

    public abstract String getOnbeforenodetoggle()

### getOnselectionchange

    public abstract String getOnselectionchange()

### getOnbeforeselectionchange

    public abstract String getOnbeforeselectionchange()

### getToggleType

    public abstract org.richfaces.component.SwitchType getToggleType()

### getSelectionType

    public abstract org.richfaces.component.SwitchType getSelectionType()

### getNodeType

    public abstract String getNodeType()

### getToggleNodeEvent

    public abstract String getToggleNodeEvent()

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `UIDataAdaptor`

### getSelection

    public Collection<Object> getSelection()

### setSelection

    public void setSelection(Collection<Object> selection)

### createComponentState

    protected org.ajax4jsf.model.DataComponentState createComponentState()

  Specified by:
    `createComponentState` in class `UIDataAdaptor`

### getRowKeyConverter

    public javax.faces.convert.Converter getRowKeyConverter()

  Overrides:
    `getRowKeyConverter` in class `UIDataAdaptor`

### findMatchingTreeNodeComponent

    protected Iterator<javax.faces.component.UIComponent> findMatchingTreeNodeComponent(String nodeType,
                                                                                        javax.faces.component.UIComponent parentComponent)

### setupCurrentComponent

    protected void setupCurrentComponent()

### findTreeNodeComponent

    public AbstractTreeNode findTreeNodeComponent()

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `UIDataAdaptor`
  Throws:
    `javax.faces.event.AbortProcessingException`

### visitFixedChildren

    protected boolean visitFixedChildren(javax.faces.component.visit.VisitContext visitContext,
                                         javax.faces.component.visit.VisitCallback callback)

  Overrides:
    `visitFixedChildren` in class `UIDataAdaptor`

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.component.MetaComponentEncoder`
  Throws:
    `IOException`

### resolveClientId

    public String resolveClientId(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent contextComponent,
                                  String metaComponentId)

  Specified by:
    `resolveClientId` in interface `org.richfaces.component.MetaComponentResolver`

### substituteUnresolvedClientId

    public String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                               javax.faces.component.UIComponent contextComponent,
                                               String metaComponentId)

  Specified by:
    `substituteUnresolvedClientId` in interface `org.richfaces.component.MetaComponentResolver`

### dataChildren

    protected Iterator<javax.faces.component.UIComponent> dataChildren()

  Overrides:
    `dataChildren` in class `UIDataAdaptor`

### addTreeSelectionChangeListener

    public void addTreeSelectionChangeListener(org.richfaces.event.TreeSelectionChangeListener listener)

  Specified by:
    `addTreeSelectionChangeListener` in interface `org.richfaces.event.TreeSelectionChangeSource`

### getTreeSelectionChangeListeners

    public org.richfaces.event.TreeSelectionChangeListener[] getTreeSelectionChangeListeners()

### removeTreeSelectionChangeListener

    public void removeTreeSelectionChangeListener(org.richfaces.event.TreeSelectionChangeListener listener)

  Specified by:
    `removeTreeSelectionChangeListener` in interface `org.richfaces.event.TreeSelectionChangeSource`

### addTreeToggleListener

    public void addTreeToggleListener(org.richfaces.event.TreeToggleListener listener)

  Specified by:
    `addTreeToggleListener` in interface `org.richfaces.event.TreeToggleSource`

### getTreeToggleListeners

    public org.richfaces.event.TreeToggleListener[] getTreeToggleListeners()

### removeTreeToggleListener

    public void removeTreeToggleListener(org.richfaces.event.TreeToggleListener listener)

  Specified by:
    `removeTreeToggleListener` in interface `org.richfaces.event.TreeToggleSource`

### isExpanded

    public boolean isExpanded()

### getTreeDataModel

    protected org.richfaces.model.TreeDataModel<?> getTreeDataModel()

### isLeaf

    public boolean isLeaf()

### walk

    public void walk(javax.faces.context.FacesContext faces,
                     org.ajax4jsf.model.DataVisitor visitor,
                     Object argument)

  Description copied from class: `UIDataAdaptor`
  Walk ( visit ) this component on all data-aware children for each row.

  Overrides:
    `walk` in class `UIDataAdaptor`

### createExtendedDataModel

    protected org.ajax4jsf.model.ExtendedDataModel<?> createExtendedDataModel()

  Specified by:
    `createExtendedDataModel` in class `UIDataAdaptor`

### walkModel

    public void walkModel(javax.faces.context.FacesContext context,
                          org.richfaces.model.TreeDataVisitor dataVisitor)

### resetDataModel

    protected void resetDataModel()

  Overrides:
    `resetDataModel` in class `UIDataAdaptor`

### createSnapshot

    public org.richfaces.model.TreeDataModelTuple createSnapshot()

### restoreFromSnapshot

    public void restoreFromSnapshot(javax.faces.context.FacesContext context,
                                    org.richfaces.model.TreeDataModelTuple tuple)

### restoreChildState

    protected void restoreChildState(javax.faces.context.FacesContext facesContext)

  Overrides:
    `restoreChildState` in class `UIDataAdaptor`

### findDeclarativeModel

    protected javax.faces.component.UIComponent findDeclarativeModel(String modelId)

### convertDeclarativeKeyToString

    public String convertDeclarativeKeyToString(javax.faces.context.FacesContext context,
                                                DeclarativeModelKey declarativeKey)
                                         throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### convertDeclarativeKeyFromString

    public DeclarativeModelKey convertDeclarativeKeyFromString(javax.faces.context.FacesContext context,
                                                               String modelId,
                                                               String modelKeyAsString)
                                                        throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.